.veiculoImagemGaleria {
    height: 1440px !important;
    object-fit: cover;
}

.slider .nav-link-primary.ativo {
  border-bottom: 2px solid var(--branco);
}

.slide-texto {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #fff;
  text-align: center;
  z-index: 10;
}

.slider form {
  margin: 20px 0 50px;
  padding: 10px 20px 10px 50px;
  background-color: var(--branco);
  border-radius: 50px;
}

.slider form select {
  width: 100%;
  border: 0px;
  border-radius: 4px;
  padding: 12px 16px;
  margin: 10px 0;
  cursor: pointer;
}

.slider select:focus,
.slider a:focus {
  outline: none !important;
  box-shadow: none !important;
}

.slider .btn-amarelo {
  width: 100% !important;
  margin: 10px 0;
  border-radius: 50px !important;
}

.slider .btn-amarelo:after {
  border-radius: 50px !important;
}

.slider p {
  margin: 0 0 50px;
}

.slider .sobreposicao {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 500px 500px 0 0;
  background-color: var(--preto);
  height: 50px;
  z-index: 1;
}

#homeMarcas,
#homeCatalogo,
#homeCatalogoHorizontal {
  padding: 50px 0;
  background-color: var(--preto);
  color: var(--branco);
}

#homeMarcas a,
#homeCatalogo a,
#homeCatalogoHorizontal a {
  color: var(--branco);
  text-decoration: none;
}

#homeMarcas a:hover,
#homeCatalogo a:hover,
#homeCatalogoHorizontal a:hover {
  text-decoration: underline;
}

#homeMarcas .cardMarca .container {
  width: 95%;
  padding: 25px 0;
  background-color: var(--branco);
  color: var(--preto);
  border-radius: 16px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#homeCatalogo nav,
#homeCatalogoHorizontal nav {
  display: flex;
  gap: 28px;
  border-bottom: 2px solid var(--branco);
}

#homeCatalogo .nav-link,
#homeCatalogoHorizontal .nav-link {
  position: relative;
  padding: 0 0 10px;
  text-decoration: none;
  color: var(--branco);
}

#homeCatalogo .nav-link:hover,
#homeCatalogoHorizontal .nav-link:hover {
  text-decoration: none;
}

#homeCatalogo .nav-link::after,
#homeCatalogoHorizontal .nav-link::after {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 100%;
  height: 4px;
  background-color: transparent;
  transition: background-color 0.3s;
}

#homeCatalogo .nav-link:hover::after,
#homeCatalogo .nav-link.ativo::after,
#homeCatalogoHorizontal .nav-link:hover::after,
#homeCatalogoHorizontal .nav-link.ativo::after {
  background-color: var(--amarelo);
}

#homeCatalogo .cardsCatalogo,
#homeCatalogoHorizontal .cardsCatalogo {
  margin: 50px 0;
}

#homeCatalogo .cardCatalogo .cardCatalogoImagem img {
  width: 100%;
  height: auto;
  border-radius: 12px 12px 0 0;
}

#homeCatalogo .cardCatalogo .container,
#homeCatalogoHorizontal .cardCatalogo .container {
  background-color: var(--branco);
  color: var(--preto);
  padding-top: 15px;
}

#homeCatalogo .cardCatalogo .container {
  border-radius: 0 0 12px 12px;
}

#homeCatalogo .cardCatalogo .cardCatalogoTextos p,
#homeCatalogoHorizontal .cardCatalogo .cardCatalogoTextos p {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: block;
}

#homeCatalogo .cardCatalogo .cardCatalogoTextos a,
#homeCatalogoHorizontal .cardCatalogo .cardCatalogoTextos a {
  color: var(--amarelo);
  margin-bottom: 16px !important;
}

.swiper-wrapper {
  height: fit-content !important;
}

.swiper-navigation {
  display: flex;
  justify-content: start;
  gap: 12px;
  margin-top: 50px;
}

.swiper-navigation .swiper-button-prev,
.swiper-navigation .swiper-button-next {
  position: static;
  margin-top: 30px;
  width: 80px;
  height: 20px;
  border-radius: 30px;
  background: #fff;
  color: #000;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
  display: flex;
  justify-content: center;
  align-items: center;
}

.swiper-button-prev::after,
.swiper-button-next::after {
  content: none !important;
}

.modal {
  display: none;
  position: fixed;
  z-index: 1050;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
}

.modal-content {
  position: relative;
  width: 80%;
  max-width: 800px;
  aspect-ratio: 16/9;
  background: #000;
  border-radius: 8px;
  overflow: hidden;
}

.modal-content iframe {
  width: 100%;
  height: 100%;
}

.fechar {
  position: absolute;
  top: 10px;
  right: 20px;
  font-size: 28px;
  color: white;
  cursor: pointer;
}

#homeVideo {
  background-color: var(--preto);
  padding: 100px 0;
}

#homeVideo .col-md-7 {
  padding: 100px 50px;
  background: var(--amarelo);
  color: var(--preto);
  border-radius: 0 20px 20px 0;
}

#homeVideo .col-md-5 {
  position: relative;
}

#homeVideoVideo .thumbnail {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 20px 0 0 20px;
}

#homeVideoVideo .playbtn {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 999;
  transition: all 500ms ease;
}

#homeVideoVideo .playbtn:hover {
  transform: translate(-50%, -50%) scale(1.1);
  cursor: pointer;
}

#homeVideo ul {
  list-style: none;
  padding: 30px 0;
}

#homeVideo ul li {
  position: relative;
  padding-left: 30px;
  margin: 20px 0;
}

#homeVideo ul li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 24px;
  height: 24px;
  background: url("../../../public/img/svg/correct.svg") no-repeat center;
  background-size: contain;
}

#numeros {
  background-color: var(--preto);
  color: var(--branco);
  padding: 0 0 50px;
  border-bottom: 1px solid var(--branco);
}

#homeVantagens {
  background-color: var(--preto);
  color: var(--branco);
  padding: 100px 0 50px 0;
}

#homeVantagens .col-md-3 .container {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
}

#homeVantagens img {
  margin-bottom: 20px;
}

#homeCatalogoHorizontal .cardCatalogo .container {
  border-radius: 0 12px 12px 0;
}

#homeCatalogoHorizontal .cardCatalogo .cardCatalogoImagem img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  border-radius: 12px 0 0 12px;
}

#homeCatalogoHorizontal .cardCatalogo .info {
  gap: 15px;
}

#homeDepoimentos {
  padding: 50px 0;
  background-color: var(--preto);
  color: var(--branco);
}

#homeDepoimentos .cardCatalogo {
  width: 85%;
  margin: auto;
  background-color: var(--branco);
  color: var(--preto);
  padding: 50px;
  border-radius: 12px;
}

#homeDepoimentos .cardCatalogo p {
  display: -webkit-box;
  -webkit-line-clamp: 9;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}


#homeDepoimentos .swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 12px;
}

@media (max-width: 1200px) {
  #navegacaoModeloBanner {
    flex-wrap: wrap;
    gap: 15px 0;
  }
}

@media (max-width: 991px) {
  .sobreposicao {
    height: 25px !important;
  }

  .slider nav,
  .slider p {
    display: none !important;
  }

  .slider form {
    flex-direction: column;
    padding: 10px 20px 10px 20px;
    width: 100%;
  }

  .slider form .col-md-3 {
    width: 100%;
  }

  #homeVideo .d-flex {
    flex-direction: column;
  }

  #homeVideo #homeVideoVideo img {
    border-radius: 12px 12px 0 0;
  }

  #homeVideo .col-md-7 {
    border-radius: 0 0 12px 12px;
  }

  #homeVideo .btn-preto {
    width: 100% !important;
  }

  #homeVideo .col-md-7 {
    padding: 100px 25px;
  }

  #homeVideo #homeVideoVideo,
  #homeVideo .col-md-7 {
    width: 100%;
  }

  #homeVantagens .cards {
    flex-wrap: wrap;
    gap: 40px 0;
  }

  #homeVantagens .col-md-3 {
    width: 50%;
  }

  #homeMarcas .cardsMarcas {
    flex-wrap: wrap;
    gap: 40px 0;
  }

  #homeMarcas .cardMarca {
    width: 50%;
  }

  #homeMarcas #linkTitulo,
  #homeCatalogo #linkTitulo,
  #homeCatalogoHorizontal #linkTitulo {
    display: none;
  }
}

@media (max-width: 770px) {
  #numeros .col-md-3 {
    width: 50%;
    text-align: center;
  }

  #homeVantagens .col-md-3 {
    width: 100%;
  }
}
